#!/python24/python.exe

import os
import cgi
import sys
import string

def readfileinfo():

#### LETTURA FILE into.txt ############
   myfile = open("C:\PythonWeb\scripts\info.txt", "r")
   bacino=myfile.readline(9)
   filedata=myfile.readline()
   data1=filedata[0:9]
   data2=filedata[10:19]
   dataFile=(data1+'_to_'+data2)
   filedata=myfile.readline()
   filedata=myfile.readline()
   studio=filedata[10:11]	
   
   return studio, dataFile, bacino	

def writefilepercorso(studio, dataFile, bacino, nome_directory, nome_immagine, tipo):

   if studio == '1':
   	  if tipo == '1':
         path='StudiSensibilita\\'+dataFile+'\\'+bacino+'\\'+nome_directory+'\\'+nome_immagine   	
      else:   
         path='Risultatimodello\\'+dataFile+'\\'+bacino+'\\'+nome_immagine
   else:
   	  if tipo == '1': 
         path='Risultatimodello\\'+dataFile+'\\'+bacino+'\\'+nome_directory+'\\'+nome_immagine 
      else:   
         path='StudiSensibilita\\'+dataFile+'\\'+bacino+'\\'+nome_immagine
         
   info_out = open("C:\PythonWeb\scripts\\temp\percorso.txt", "w")
   info_out.write(path)
   info_out.close()

def creagrafico(studio, dataFile, bacino, nome_directory, nome_immagine, tipo):
##### CHIAMATA ALL'ESEGUIBILE CHE CREA I GRAFICI ##
   os.system( 'C:\PythonWeb\scripts\grafico.exe' )

   if studio == '1':
      if tipo == '1': 
         percorso='http://localhost:8080/scripts/Risultatimodello/'+dataFile+'/'+bacino+'/'+nome_directory+'/'+nome_immagine
      else:
      	 percorso='http://localhost:8080/scripts/Risultatimodello/'+dataFile+'/'+bacino+'/'+nome_immagine   
   else:
   	  if tipo == '1':
         percorso='http:/localhost:8080/scripts/StudiSensibilita/'+dataFile+'/'+bacino+'/'+nome_directory+'/'+nome_immagine
      else:
      	 percorso='http://localhost:8080/scripts/StudiSensibilita/'+dataFile+'/'+bacino+'/'+nome_immagine
      
   info_out = open("C:\PythonWeb\scripts\\temp\percorso1.txt", "w")
   info_out.write(percorso)
   info_out.close()      
      
   os.startfile(percorso)   
